Bug 469380 - text-mode traceback Save dialog doesn't fit on screen
text-mode traceback Save dialog doesn't fit on screen
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2008-10-31 11:20 EDT by James Laska
Modified: 2013-09-02 02:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-17 13:54:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Laska 2008-10-31 11:20:51 EDT
Description of problem:

When encountering a traceback on a text-mode install, the save traceback dialog doesn't fit on the screen.

Version-Release number of selected component (if applicable):
anaconda 11.4.1.53

How reproducible:


Steps to Reproduce:
1. Boot the installer wtih updates=http://jlaska.fedorapeople.org/traceback.img
  
Actual results:

Welcome to Fe│                                                   │
             │              ( ) Save to local disk               │
             │                                                   │
             │                            ↑                      │
             │                            ▮                      │
             │                            ↓                      │
             │                                                   │
             │ (*) Send to bugzilla (http://bugzilla.redhat.com) │
             │                                                   │
             │      User name      ________________________      │
             │      Password       ________________________      │
             │      Bug Description________________________      │
             │                                                   │
             │          ( ) Send to remote server (scp)          │
             │                                                   │
             │     User name       ________________________      │
             │     Password        ________________________      │
             │     Host (host:port)________________________      │
             │     Destination file________________________      │
             │                                                   │
             │         ┌────┐                ┌────────┐          │
             │         │ OK │                │ Cancel │          │
             │         └────┘                └────────┘          │
  <Tab>/<Alt-│                                                   │ next screen


Expected results:

Perhaps something that fits on the screen better.  

Some options:

1) 2 dialogs, the first being "How to save", the next being the "save details" ... e.g.

             +--------| How to save your traceback? |------------+
             |                                                   |
             │          ( ) Save to local disk                   │
             │ (*) Send to bugzilla (http://bugzilla.redhat.com) │
             │          ( ) Send to remote server (scp)          │
             │         ┌────┐                ┌────────┐          │
             │         │ OK │                │ Cancel │          │
             │         └────┘                └────────┘          │

# second dialog has the details needed for the selected save method?


2) Don't offer any choice in text-mode ... just display a dialog: "Your install has failed.  A traceback has been saved to /tmp/anacdump.txt"

3) Only offer (scp) ?

Additional info:
Comment 1 Chris Lumens 2008-11-04 11:14:24 EST
(1) is probably the way to go here.  I'll look at this for F11.
Comment 2 Bug Zapper 2008-11-25 23:33:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jon Stanley 2008-11-26 14:13:35 EST
Fixing version to align with rawhide again.  Sorry for the noise.
Comment 4 Chris Lumens 2009-04-17 13:54:34 EDT
This will be fixed in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.